Bug 1412326 - cscope doesn't include xcscope-el for emacs-nox
Summary: cscope doesn't include xcscope-el for emacs-nox
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: cscope
Version: 7.3
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Neil Horman
QA Contact: Martin Klusoň
URL:
Whiteboard:
Depends On: 961709
Blocks: 1353018
TreeView+ depends on / blocked
 
Reported: 2017-01-11 18:42 UTC by Matthew Whitehead
Modified: 2017-08-01 10:09 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 961709
Environment:
Last Closed: 2017-08-01 10:09:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2323 0 normal SHIPPED_LIVE cscope bug fix update 2017-08-01 12:44:40 UTC

Description Matthew Whitehead 2017-01-11 18:42:06 UTC
+++ This bug was initially created as a clone of Bug #961709 +++

Description of problem:
cscope should include the .el support file for emacs.

Version-Release number of selected component (if applicable):
yum info cscope
Complementos cargados:langpacks, refresh-packagekit, remove-with-leaves
Paquetes instalados
Nombre        : cscope
Arquitectura        : x86_64
Versión     : 15.8
Lanzamiento     : 4.fc19
Tamaño        : 913 k
Repositorio        : installed
Desde el repositorio   : fedora
Resumen     : C source code tree search and browse tool
URL         : http://cscope.sourceforge.net
Licencia     : BSD and GPLv2+
Descripción :cscope is a mature, ncurses based, C source code tree browsing tool.  It
           : allows users to search large source code bases for variables, functions,
           : macros, etc, as well as perform general regex and plain text searches.
           : Results are returned in lists, from which the user can select individual
           : matches for use in file editing.




What's weird is that rpm -ql cscope shows:
rpm -ql cscope
/usr/bin/cscope
/usr/bin/cscope-indexer
/usr/bin/ocs
/usr/share/cscope
/usr/share/cscope/cctree.vim
/usr/share/cscope/xcscope.el
/usr/share/doc/cscope-15.8
/usr/share/doc/cscope-15.8/AUTHORS
/usr/share/doc/cscope-15.8/COPYING
/usr/share/doc/cscope-15.8/ChangeLog
/usr/share/doc/cscope-15.8/README
/usr/share/doc/cscope-15.8/TODO
/usr/share/doc/cscope-15.8/cctree.txt
/usr/share/emacs/site-lisp/xcscope.el
/usr/share/emacs/site-lisp/xcscope.elc
/usr/share/man/man1/cscope.1.gz
/usr/share/xemacs/site-packages/lisp/xcscope.el
/usr/share/xemacs/site-packages/lisp/xcscope.elc
/var/lib/cs

but:
$ file /usr/share/emacs/site-lisp/xcscope.el
/usr/share/emacs/site-lisp/xcscope.el: ERROR: cannot open `/usr/share/emacs/site-lisp/xcscope.el' (No such file or directory)
$ file /usr/share/xemacs/site-packages/lisp/xcscope.el
/usr/share/xemacs/site-packages/lisp/xcscope.el: ERROR: cannot open `/usr/share/xemacs/site-packages/lisp/xcscope.el' (No such file or directory)

are missing

--- Additional comment from Neil Horman on 2013-05-10 09:13:11 EDT ---

Those are ghosted files, they exists for ownership purposes in the cscope manifest, but aren't actually carried.  They are created (as symlinks to the /usr/share/cscope/xcscope.el file) when the xemacs and emacs packages are installed automatically. The error you see above, just means that emacs and xemacs aren't installed on your system.

--- Additional comment from  on 2013-05-10 09:40:50 EDT ---

Hi

I do have emacs-nox installed.

yum info emacs-nox
Complementos cargados:langpacks, refresh-packagekit, remove-with-leaves
Paquetes instalados
Nombre        : emacs-nox
Arquitectura        : x86_64
Período       : 1
Versión     : 24.2
Lanzamiento     : 18.fc19
Tamaño        : 12 M
Repositorio        : installed
Desde el repositorio   : fedora
Resumen     : GNU Emacs text editor without X support
URL         : http://www.gnu.org/software/emacs/
Licencia     : GPLv3+
Descripción :Emacs is a powerful, customizable, self-documenting, modeless text
           : editor. Emacs contains special code editing features, a scripting
           : language (elisp), and the capability to read mail, news, and more
           : without leaving the editor.
           : 
           : This package provides an emacs binary with no X windows support for running
           : on a terminal.

--- Additional comment from Sergio Durigan Junior on 2014-09-30 02:28:15 EDT ---

Reopening this bug as it affects emacs-nox indeed.  I am attaching a patch that fixes the issue.  It should be fairly trivial to back/forwardport it to other Fedora releases (it applies against F20).

--- Additional comment from Sergio Durigan Junior on 2014-09-30 02:30:47 EDT ---

This patch fixes the issue by correctly installing the xcscope.el link when using emacs-nox as well.

--- Additional comment from Fedora End Of Life on 2015-01-09 17:33:35 EST ---

This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from Sergio Durigan Junior on 2015-01-09 17:47:13 EST ---

This bug is fixed already, but I think the maintainer forgot to create the Bodhi updates?

--- Additional comment from Fedora End Of Life on 2015-02-18 06:11:23 EST ---

Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 1 Matthew Whitehead 2017-01-11 18:43:07 UTC
This problem also exists in RHEL7.3, and likely all of the RHEL7 distributions.

Comment 4 Branislav Náter 2017-06-05 11:19:24 UTC
Clearing needinfo as qa_ack has been provided.

Comment 7 errata-xmlrpc 2017-08-01 10:09:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2323


Note You need to log in before you can comment on or make changes to this bug.